> For the complete documentation index, see [llms.txt](https://raic-labs.gitbook.io/raic-fed/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://raic-labs.gitbook.io/raic-fed/api-reference/04c-titiler-api/tiling-schemes.md).

# Tiling Schemes

## Retrieve the list of available tiling schemes (tile matrix sets).

> OGC Specification: <http://docs.opengeospatial.org/per/19-069.html#\\_tilematrixsets>

```json
{"openapi":"3.1.0","info":{"title":"titiler-pgstac","version":"1.8.0"},"paths":{"/tileMatrixSets":{"get":{"tags":["Tiling Schemes"],"summary":"Retrieve the list of available tiling schemes (tile matrix sets).","description":"OGC Specification: http://docs.opengeospatial.org/per/19-069.html#_tilematrixsets","operationId":"getTileMatrixSetsList","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TileMatrixSetList"}}}}}}}},"components":{"schemas":{"TileMatrixSetList":{"properties":{"tileMatrixSets":{"items":{"$ref":"#/components/schemas/TileMatrixSetRef"},"type":"array","title":"Tilematrixsets"}},"type":"object","required":["tileMatrixSets"],"title":"TileMatrixSetList","description":"TileMatrixSetList model.\n\nBased on http://docs.opengeospatial.org/per/19-069.html#_tilematrixsets"},"TileMatrixSetRef":{"properties":{"id":{"type":"string","title":"Id"},"title":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Title"},"links":{"items":{"$ref":"#/components/schemas/TileMatrixSetLink"},"type":"array","title":"Links"}},"type":"object","required":["id","links"],"title":"TileMatrixSetRef","description":"TileMatrixSetRef model.\n\nBased on http://docs.opengeospatial.org/per/19-069.html#_tilematrixsets"},"TileMatrixSetLink":{"properties":{"href":{"type":"string","minLength":1,"format":"uri","title":"Href"},"rel":{"type":"string","title":"Rel","default":"item"},"type":{"type":"string","title":"Type","default":"application/json"}},"type":"object","required":["href"],"title":"TileMatrixSetLink","description":"TileMatrixSetLink model.\n\nBased on http://docs.opengeospatial.org/per/19-069.html#_tilematrixsets"}}}}
```

## Retrieve the definition of the specified tiling scheme (tile matrix set).

> OGC Specification: <http://docs.opengeospatial.org/per/19-069.html#\\_tilematrixset>

```json
{"openapi":"3.1.0","info":{"title":"titiler-pgstac","version":"1.8.0"},"paths":{"/tileMatrixSets/{tileMatrixSetId}":{"get":{"tags":["Tiling Schemes"],"summary":"Retrieve the definition of the specified tiling scheme (tile matrix set).","description":"OGC Specification: http://docs.opengeospatial.org/per/19-069.html#_tilematrixset","operationId":"getTileMatrixSet","parameters":[{"name":"tileMatrixSetId","in":"path","required":true,"schema":{"enum":["CDB1GlobalGrid","CanadianNAD83_LCC","EuropeanETRS89_LAEAQuad","GNOSISGlobalGrid","LINZAntarticaMapTilegrid","NZTM2000Quad","UPSAntarcticWGS84Quad","UPSArcticWGS84Quad","UTM31WGS84Quad","WGS1984Quad","WebMercatorQuad","WorldCRS84Quad","WorldMercatorWGS84Quad"],"type":"string","description":"Identifier for a supported TileMatrixSet.","title":"Tilematrixsetid"},"description":"Identifier for a supported TileMatrixSet."}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TileMatrixSet"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"TileMatrixSet":{"properties":{"title":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Title","description":"Title of this tile matrix set, normally used for display to a human"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Description","description":"Brief narrative description of this tile matrix set, normally available for display to a human"},"keywords":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"title":"Keywords","description":"Unordered list of one or more commonly used or formalized word(s) or phrase(s) used to describe this tile matrix set"},"id":{"anyOf":[{"type":"string","pattern":"^[\\w\\d_\\-]+$"},{"type":"null"}],"title":"Id","description":"Tile matrix set identifier. Implementation of 'identifier'"},"uri":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Uri","description":"Reference to an official source for this tileMatrixSet"},"orderedAxes":{"anyOf":[{"items":{"type":"string"},"type":"array","maxItems":2,"minItems":2},{"type":"null"}],"title":"Orderedaxes","description":"Ordered list of names of the dimensions defined in the CRS"},"crs":{"$ref":"#/components/schemas/CRS","description":"Coordinate Reference System (CRS)"},"wellKnownScaleSet":{"anyOf":[{"type":"string","minLength":1,"format":"uri"},{"type":"null"}],"title":"Wellknownscaleset","description":"Reference to a well-known scale set"},"boundingBox":{"anyOf":[{"$ref":"#/components/schemas/TMSBoundingBox"},{"type":"null"}],"description":"Minimum bounding rectangle surrounding the tile matrix set, in the supported CRS"},"tileMatrices":{"items":{"$ref":"#/components/schemas/TileMatrix"},"type":"array","title":"Tilematrices","description":"Describes scale levels and its tile matrices"}},"type":"object","required":["crs","tileMatrices"],"title":"TileMatrixSet","description":"Tile Matrix Set Definition\n\nA definition of a tile matrix set following the Tile Matrix Set standard.\nFor tileset metadata, such a description (in `tileMatrixSet` property) is only required for offline use,\nas an alternative to a link with a `http://www.opengis.net/def/rel/ogc/1.0/tiling-scheme` relation type.\n\nref: https://github.com/opengeospatial/2D-Tile-Matrix-Set/blob/master/schemas/tms/2.0/json/tileMatrixSet.json"},"CRS":{"anyOf":[{"type":"string"},{"$ref":"#/components/schemas/CRSUri"},{"$ref":"#/components/schemas/CRSWKT"},{"$ref":"#/components/schemas/CRSRef"}],"title":"CRS","description":"CRS model.\n\nRef: https://github.com/opengeospatial/ogcapi-tiles/blob/master/openapi/schemas/common-geodata/crs.yaml\n\nCode generated using https://github.com/koxudaxi/datamodel-code-generator/"},"CRSUri":{"properties":{"uri":{"type":"string","minLength":1,"format":"uri","title":"Uri","description":"Reference to one coordinate reference system (CRS) as URI","exemples":["http://www.opengis.net/def/crs/EPSG/0/3978","urn:ogc:def:crs:EPSG::2193"]}},"type":"object","required":["uri"],"title":"CRSUri","description":"Coordinate Reference System (CRS) from URI."},"CRSWKT":{"properties":{"wkt":{"additionalProperties":true,"type":"object","title":"Wkt","description":"An object defining the CRS using the JSON encoding for Well-known text representation of coordinate reference systems 2.0"}},"type":"object","required":["wkt"],"title":"CRSWKT","description":"Coordinate Reference System (CRS) from WKT encoded as PROJJSON Object."},"CRSRef":{"properties":{"referenceSystem":{"additionalProperties":true,"type":"object","title":"Referencesystem","description":"A reference system data structure as defined in the MD_ReferenceSystem of the ISO 19115"}},"type":"object","required":["referenceSystem"],"title":"CRSRef","description":"CRS from referenceSystem."},"TMSBoundingBox":{"properties":{"lowerLeft":{"prefixItems":[{"anyOf":[{"type":"number"},{"type":"integer"}]},{"anyOf":[{"type":"number"},{"type":"integer"}]}],"type":"array","maxItems":2,"minItems":2,"title":"Lowerleft","description":"A 2D Point in the CRS indicated elsewhere"},"upperRight":{"prefixItems":[{"anyOf":[{"type":"number"},{"type":"integer"}]},{"anyOf":[{"type":"number"},{"type":"integer"}]}],"type":"array","maxItems":2,"minItems":2,"title":"Upperright","description":"A 2D Point in the CRS indicated elsewhere"},"crs":{"anyOf":[{"$ref":"#/components/schemas/CRS"},{"type":"null"}],"description":"Coordinate Reference System (CRS)"},"orderedAxes":{"anyOf":[{"items":{"type":"string"},"type":"array","maxItems":2,"minItems":2},{"type":"null"}],"title":"Orderedaxes","description":"Ordered list of names of the dimensions defined in the CRS"}},"type":"object","required":["lowerLeft","upperRight"],"title":"TMSBoundingBox","description":"Bounding box\n\nref: https://github.com/opengeospatial/2D-Tile-Matrix-Set/blob/master/schemas/tms/2.0/json/2DBoundingBox.json"},"TileMatrix":{"properties":{"title":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Title","description":"Title of this tile matrix, normally used for display to a human"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Description","description":"Brief narrative description of this tile matrix set, normally available for display to a human"},"keywords":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"title":"Keywords","description":"Unordered list of one or more commonly used or formalized word(s) or phrase(s) used to describe this dataset"},"id":{"type":"string","pattern":"^\\-?[0-9]+$","title":"Id","description":"Identifier selecting one of the scales defined in the TileMatrixSet and representing the scaleDenominator the tile. Implementation of 'identifier'"},"scaleDenominator":{"type":"number","title":"Scaledenominator","description":"Scale denominator of this tile matrix"},"cellSize":{"type":"number","title":"Cellsize","description":"Cell size of this tile matrix"},"cornerOfOrigin":{"type":"string","enum":["topLeft","bottomLeft"],"title":"Corneroforigin","description":"The corner of the tile matrix (_topLeft_ or _bottomLeft_) used as the origin for numbering tile rows and columns. This corner is also a corner of the (0, 0) tile.","default":"topLeft"},"pointOfOrigin":{"prefixItems":[{"anyOf":[{"type":"number"},{"type":"integer"}]},{"anyOf":[{"type":"number"},{"type":"integer"}]}],"type":"array","maxItems":2,"minItems":2,"title":"Pointoforigin","description":"Precise position in CRS coordinates of the corner of origin (e.g. the top-left corner) for this tile matrix. This position is also a corner of the (0, 0) tile. In previous version, this was 'topLeftCorner' and 'cornerOfOrigin' did not exist."},"tileWidth":{"type":"integer","multipleOf":1,"minimum":1,"title":"Tilewidth","description":"Width of each tile of this tile matrix in pixels"},"tileHeight":{"type":"integer","multipleOf":1,"minimum":1,"title":"Tileheight","description":"Height of each tile of this tile matrix in pixels"},"matrixWidth":{"type":"integer","multipleOf":1,"minimum":1,"title":"Matrixwidth","description":"Width of the matrix (number of tiles in width)"},"matrixHeight":{"type":"integer","multipleOf":1,"minimum":1,"title":"Matrixheight","description":"Height of the matrix (number of tiles in height)"},"variableMatrixWidths":{"anyOf":[{"items":{"$ref":"#/components/schemas/variableMatrixWidth"},"type":"array"},{"type":"null"}],"title":"Variablematrixwidths","description":"Describes the rows that has variable matrix width"}},"additionalProperties":false,"type":"object","required":["id","scaleDenominator","cellSize","pointOfOrigin","tileWidth","tileHeight","matrixWidth","matrixHeight"],"title":"TileMatrix","description":"Tile Matrix Definition\n\nA tile matrix, usually corresponding to a particular zoom level of a TileMatrixSet.\n\nref: https://github.com/opengeospatial/2D-Tile-Matrix-Set/blob/master/schemas/tms/2.0/json/tileMatrix.json"},"variableMatrixWidth":{"properties":{"coalesce":{"type":"integer","multipleOf":1,"minimum":2,"title":"Coalesce","description":"Number of tiles in width that coalesce in a single tile for these rows"},"minTileRow":{"type":"integer","multipleOf":1,"minimum":0,"title":"Mintilerow","description":"First tile row where the coalescence factor applies for this tilematrix"},"maxTileRow":{"type":"integer","multipleOf":1,"minimum":0,"title":"Maxtilerow","description":"Last tile row where the coalescence factor applies for this tilematrix"}},"type":"object","required":["coalesce","minTileRow","maxTileRow"],"title":"variableMatrixWidth","description":"Variable Matrix Width Definition\n\nref: https://github.com/opengeospatial/2D-Tile-Matrix-Set/blob/master/schemas/tms/2.0/json/variableMatrixWidth.json"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}}}
```
